summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-27 01:40:14 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-27 01:40:14 +0000
commitb346f3735bc342409714e4ff3fb08449ad006fa3 (patch)
treecae5c66c801e405d198277a0745ebd10915d9b56 /dev-python
parentecd3a60027d5c4b3954c7a8a6e5a6a4934e97c06 (diff)
downloadbaldeagleos-repo-b346f3735bc342409714e4ff3fb08449ad006fa3.tar.gz
baldeagleos-repo-b346f3735bc342409714e4ff3fb08449ad006fa3.tar.xz
baldeagleos-repo-b346f3735bc342409714e4ff3fb08449ad006fa3.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GitPython/GitPython-3.1.24.ebuild2
-rw-r--r--dev-python/arrow/arrow-1.2.1-r1.ebuild2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.20.14.ebuild59
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.23.14.ebuild65
-rw-r--r--dev-python/cssutils/Manifest1
-rw-r--r--dev-python/cssutils/cssutils-2.2.0.ebuild36
-rw-r--r--dev-python/cssutils/cssutils-2.3.0.ebuild2
-rw-r--r--dev-python/dbutils/Manifest1
-rw-r--r--dev-python/dbutils/dbutils-2.0.3.ebuild32
-rw-r--r--dev-python/ddt/ddt-1.4.4.ebuild2
-rw-r--r--dev-python/gitdb/gitdb-4.0.8.ebuild2
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.27.2.ebuild62
-rw-r--r--dev-python/matrix-client/matrix-client-0.4.0-r1.ebuild (renamed from dev-python/matrix-client/matrix-client-0.4.0.ebuild)14
-rw-r--r--dev-python/nbconvert/nbconvert-6.2.0-r1.ebuild2
-rw-r--r--dev-python/nltk/files/nltk-3.6.5-test.patch28
-rw-r--r--dev-python/nltk/nltk-3.6.5.ebuild7
-rw-r--r--dev-python/pylama/Manifest1
-rw-r--r--dev-python/pylama/pylama-8.0.6.ebuild40
-rw-r--r--dev-python/pylint/pylint-2.12.1.ebuild2
-rw-r--r--dev-python/python-ldap/Manifest1
-rw-r--r--dev-python/python-ldap/python-ldap-3.4.0.ebuild87
-rw-r--r--dev-python/regex/regex-2021.11.10.ebuild2
-rw-r--r--dev-python/responses/Manifest2
-rw-r--r--dev-python/responses/responses-0.14.0.ebuild30
-rw-r--r--dev-python/responses/responses-0.15.0.ebuild30
-rw-r--r--dev-python/responses/responses-0.16.0.ebuild2
-rw-r--r--dev-python/scipy/scipy-1.7.3.ebuild2
-rw-r--r--dev-python/smmap/smmap-5.0.0.ebuild2
-rw-r--r--dev-python/statsmodels/statsmodels-0.13.1.ebuild2
-rw-r--r--dev-python/tomli/Manifest1
-rw-r--r--dev-python/tomli/tomli-1.2.1.ebuild35
-rw-r--r--dev-python/tomli/tomli-1.2.2-r1.ebuild2
-rw-r--r--dev-python/tomli/tomli-1.2.2.ebuild35
36 files changed, 403 insertions, 193 deletions
diff --git a/dev-python/GitPython/GitPython-3.1.24.ebuild b/dev-python/GitPython/GitPython-3.1.24.ebuild
index 27724a0fddaa..849cbd6d3886 100644
--- a/dev-python/GitPython/GitPython-3.1.24.ebuild
+++ b/dev-python/GitPython/GitPython-3.1.24.ebuild
@@ -23,7 +23,7 @@ SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-vcs/git
diff --git a/dev-python/arrow/arrow-1.2.1-r1.ebuild b/dev-python/arrow/arrow-1.2.1-r1.ebuild
index f7c9574c244f..c25826fc81e0 100644
--- a/dev-python/arrow/arrow-1.2.1-r1.ebuild
+++ b/dev-python/arrow/arrow-1.2.1-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
>=dev-python/python-dateutil-2.7.0[${PYTHON_USEDEP}]"
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 958ea9f11f45..e7b9c329da95 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,6 +5,7 @@ DIST boto3-1.20.10.tar.gz 443886 BLAKE2B 891c5d45eed9fc0afac3e6e87f5f7d2100da779
DIST boto3-1.20.11.tar.gz 444945 BLAKE2B ead4a78e67c12dfeccfe2c55e88ff9ed0ed2d024d04a89f82f31c87fe01ddbb425ddcd0ce54955c02b4fc8468b3684a5289bd3a3da5fd5e472f8b8a88e75c26f SHA512 d68ee2b61f3aeb34b137a347c41e96da0d3f04fb700369886e5081290f29fb479f84992c92d5dc79cee67b8c74146590669f99ff21a6bfd2e04c8aff33b3d5d7
DIST boto3-1.20.12.tar.gz 447029 BLAKE2B 191a8fb12e8e61ea354acc42db3513dfbc95e60e901f696a6b92a9891deb4bd7e835daa18057d36e926ccb375856244204c5ed46238f311eb27499d50d5d7f2e SHA512 19cedff433d5256b305d743dd50bd754ce6b6227c5f820a51741ae76736d70a6adf04192f60533f1cafadb670503d05912847d82e355088be9b21d1e37e4d1dc
DIST boto3-1.20.13.tar.gz 448520 BLAKE2B 0354d9a66fdee4a82f23c1e8bd1b7f78f53e941cf2c603f1740efa9e6a86b92f52b4eb57e6892ea1f5a3b5e05872a2a2d8f4321b29b4b11adf2885c5eb8ea731 SHA512 ef4857d14c40e70e656d51d1126f49da48fa6a79a58cae9bb6cdb2490d3ef3153165a23ad8c6f99cc553ea140b3030b4e8855c2a832a54086e54ca6e6acef790
+DIST boto3-1.20.14.tar.gz 449126 BLAKE2B b2ef8a101aaecb5d65a60fcbf7f83e89946181092bb4ad1f4a7abcf8b218c5ce797a47cd9ac3e7fdee85c6457d89b91836729f4019f5ecebf1193d015714ca8a SHA512 ff4e3f2accde84fe71cdcb090775c384700d3cba0d43f46a834b653f6a9493d7cd57be1741f39378cddf315d5f5ce07f4f233c300feb1529c22e99a0817af85c
DIST boto3-1.20.5.tar.gz 439166 BLAKE2B c140e15e497e6cdf6b4b77bb99e0a0f5ac01d5b5793f8bfb210b52bbc09e39e6fe06a957951375e0795210dc1c3b2a0afd2f498bc88e449d9e6846f2b357f016 SHA512 2823466e4851684253d4ce42a8c34e5cbdad6d04c823040fe2cebdf0cffb14d5d3f40e28d57ebec14533fab04ba74f27c25f078ddb8791b8f52d0424e11b39fc
DIST boto3-1.20.6.tar.gz 440133 BLAKE2B b154714261372cebb8643d529b66fe3a42d30e056cf2a454092d598c51d0cdef723980834be6a36abb892d3022ae8ef67053b22bb176f540e67c3f37422155d8 SHA512 d8d66a761f03beeca10fea8446de1136d418a93b21065aebfefcafe2abfd9b5bbfa243594f54647ad80547e48348086e2be2de129b89f9ca71f308579f11a0b7
DIST boto3-1.20.7.tar.gz 440428 BLAKE2B f1b2b36799e6c22a40c04226443f15f9174d68a02d2f731df84f6ff0962158e9d940ae5bc04d25fe99a74f105946026ccb66547838734294d649d661071c1e3b SHA512 85493a85789caa5453a4dafa1472c8ecd75c05a819227909092ae03690243eb103c1588cb10e5e5277ab9df49673b9b54fda064a412bdcf6b9e11238b277f450
diff --git a/dev-python/boto3/boto3-1.20.14.ebuild b/dev-python/boto3/boto3-1.20.14.ebuild
new file mode 100644
index 000000000000..ace657bcbe4d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.20.14.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d73ae86dd75d..9fcad2fcfebb 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,6 +5,7 @@ DIST botocore-1.23.10.tar.gz 8429267 BLAKE2B bcad034d600f17317e1036225a789c143d7
DIST botocore-1.23.11.tar.gz 8445108 BLAKE2B 16e486ff61e2b7822d6db74ed5829ce4e0cdc69b32c6d6b08b5790eca9856c409844b67a0545f9c22e8cbd90bfb5f6f0b0f8be1f1924f9814235390eca71d853 SHA512 625fd439da1bab2be4bf4621ace23ad5c815fe80933dc89d1489016424eb53dcaa2b8f476cf920ae0a800c05bce9dbef594e794c7131cce4e81eee81381f1f64
DIST botocore-1.23.12.tar.gz 8456254 BLAKE2B 64119372aca49f1a18835b518ca2474b9e1bcfc0f03e13ffa749b04c6658f229d096751d9bd87b0f5852afd62cbfbe8eacd05c1d91e1c423171374a341daca43 SHA512 e54fc3054093bb41d566d24e06c97ffbd68cfed68183564efe67fb5a70f90acd14d95345874a80fa82faa19cafaa3f84839c5cd8443e171a17029279d1ecf949
DIST botocore-1.23.13.tar.gz 8480446 BLAKE2B 08a26abd886b21efdfdc395dc7679ca268e7eb974ebc3fda91efdb06c2a8a7b242d122285c5d7833d5e8283e4fe8d463055c92a3e73077cfeea8dd9a806ebf6d SHA512 bed800e75a21ee6689157eaeddccb45a9ab6630486d59ff863d9f0df1a377f3d6974698fe83a5e2d2c9be6588217ee6ec8cee48d4611a21c138171a476feff74
+DIST botocore-1.23.14.tar.gz 8486875 BLAKE2B 93a3fd40b26d026dcee10172e560b4d59cdea803964e0f7ec85afbdd371d700ddc1594aad895730fc82d6684db4aa041b9c0e4e1b0b17ad701e5b87d082ca1ee SHA512 900afcb4d7378e1bd1f7a9dee1f6809151ad161f3442a7e197b2986db41af998d550d21ea225f66d1ff6374853da7bf13166186978edda08139a2c3093ff4b6c
DIST botocore-1.23.5.tar.gz 8374467 BLAKE2B 467092e7d8aa5ccb756132669049865445a47205913964c1c944b20caaf100b1efdd1bf3af9c5416ff079b487e6d4d08ffe6208e2b352d09655cc5be21c88739 SHA512 6afca19b724f9019f21e5993ce970d605b95d31c1a4e969ec1b4080510a5a120b3fa0cfd5ade973a9203bd6b7983a3dbca2f7a03108a9167392efd60d5e2fe9b
DIST botocore-1.23.6.tar.gz 8387968 BLAKE2B 415a177d591a0ef369f17b8f02563be0fb53bc4e65c2767f41ca11300939585a10146874b6ac5297cdd3dcb36cf6fd2065fd09f3c612c4ba1d954b03a5b15579 SHA512 a46e45b7bb67d7c4bcc5508f38448b9ed3778ed6b6080239459b22b7f753adaf12e8d64496f7d7c71b33bb17ae1744000e9269ea0f545286e56fabe39e7f0340
DIST botocore-1.23.7.tar.gz 8391467 BLAKE2B dd6cad44c1b8109b76c44bfffa45e74da0fbeaa027429860640e33134dc5f6e5bb813b46d8b662d80b89af46d437c6fb962f0e0ab1edbeca3ee790f3b6d029bf SHA512 a3270da3b6d906bc2372af221400e14039868598ccd56f40f976bcc2638f300ae9990ff367f76e5b5cdf8d46a8a37716865f9a40ca7e79b73a5b8dbcb2b1af7f
diff --git a/dev-python/botocore/botocore-1.23.14.ebuild b/dev-python/botocore/botocore-1.23.14.ebuild
new file mode 100644
index 000000000000..cfc004c5eba7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.23.14.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ distutils_install_for_testing --via-venv
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cssutils/Manifest b/dev-python/cssutils/Manifest
index c729a4620f0b..eef8e73e8005 100644
--- a/dev-python/cssutils/Manifest
+++ b/dev-python/cssutils/Manifest
@@ -1,2 +1 @@
-DIST cssutils-2.2.0.tar.gz 731024 BLAKE2B 8da0e8898e7126a6a84f053f6a3411c3830dc4ec1e20b80bba53b1004c0747f0510390e10c611ce655cc8af62bf657f3b69d3a12a49b781f1b20553cd038f601 SHA512 cd9c3d069e18516484894df38f8cbc9abb1ffc5b021538c99c06878d34195619d7928d553049309ac30c144210df6ed616bbd0d04e158d9fbfce166f9935d5a2
DIST cssutils-2.3.0.tar.gz 725849 BLAKE2B 7c6f0280c24eb9cf8c6e4215fc6a102ea0b1f72f52b06d8396601a19ffe457fa628bbf5b9f6c020185378ddf26c96e4aec11026e686343513db9141c7ca22dfd SHA512 9919224a61222e860a99ec80e6375a472b89c52af72272c1de7bcd5fd31cf8570a04da7762c62a17a85bef2c41b1c67447583087df4c86c1f8969ad4875a76d2
diff --git a/dev-python/cssutils/cssutils-2.2.0.ebuild b/dev-python/cssutils/cssutils-2.2.0.ebuild
deleted file mode 100644
index b6abf320a302..000000000000
--- a/dev-python/cssutils/cssutils-2.2.0.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A CSS Cascading Style Sheets library"
-HOMEPAGE="https://pypi.org/project/cssutils/ https://cthedot.de/cssutils/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc x86"
-
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- dev-python/toml[${PYTHON_USEDEP}]
- test? (
- dev-python/mock[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
-
-python_test() {
- local deselect=(
- # network
- encutils/__init__.py::encutils
- cssutils/tests/test_parse.py::CSSParserTestCase::test_parseUrl
- )
-
- epytest ${deselect[@]/#/--deselect }
-}
diff --git a/dev-python/cssutils/cssutils-2.3.0.ebuild b/dev-python/cssutils/cssutils-2.3.0.ebuild
index ff4de6b678db..ee7d17094d62 100644
--- a/dev-python/cssutils/cssutils-2.3.0.ebuild
+++ b/dev-python/cssutils/cssutils-2.3.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+KEYWORDS="amd64 arm arm64 ppc x86"
BDEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
diff --git a/dev-python/dbutils/Manifest b/dev-python/dbutils/Manifest
index 5b8e54b6fa37..dbf1037d4628 100644
--- a/dev-python/dbutils/Manifest
+++ b/dev-python/dbutils/Manifest
@@ -1 +1,2 @@
DIST DBUtils-2.0.2.tar.gz 92119 BLAKE2B d53dc81000b426e2cfb8dace616d589ec622c7cdb10e1903163eb9901336d300598ef7f54e30aa1efbd5fa72e648f4f63c288a4d3ffcdf6fada89159e8fd3925 SHA512 650be54c4993f6277fc7a2d7cefcb658dec6c793d0ef8554e9e80d70a58c7fbbf69485e8e60684c2dfcb28780bdfa575796455fd12c0cff3b82d8951785d8ba0
+DIST DBUtils-2.0.3.tar.gz 92184 BLAKE2B 75b07f9c12ef2dc4debf7fb59d81f9765ad67c643126d3123544bf218d7932777dd458e9dd18fc9c4c2a2a08d4ff6e811b5d31924870f161c1c529582e7e42d6 SHA512 755491930713f082c0b550fd8870b22f807b909fec3e0667ecf9ddf04a282bebe6a879cc08a052e4872571bd9ab8e66aeb0668bd6b6e9edff4260c470e4bb00d
diff --git a/dev-python/dbutils/dbutils-2.0.3.ebuild b/dev-python/dbutils/dbutils-2.0.3.ebuild
new file mode 100644
index 000000000000..b0a10db3fe71
--- /dev/null
+++ b/dev-python/dbutils/dbutils-2.0.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_PN="DBUtils"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Database connections for multi-threaded environments"
+HOMEPAGE="
+ https://webwareforpython.github.io/DBUtils/
+ https://github.com/WebwareForPython/DBUtils/
+ https://pypi.org/project/DBUtils/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="OSL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ dodoc docs/*.rst
+ rm docs/*.rst || die
+ local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/ddt/ddt-1.4.4.ebuild b/dev-python/ddt/ddt-1.4.4.ebuild
index 5ee7de27a776..4862fa2d4136 100644
--- a/dev-python/ddt/ddt-1.4.4.ebuild
+++ b/dev-python/ddt/ddt-1.4.4.ebuild
@@ -16,7 +16,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/gitdb/gitdb-4.0.8.ebuild b/dev-python/gitdb/gitdb-4.0.8.ebuild
index b782b40fda2c..573f1a6dd02c 100644
--- a/dev-python/gitdb/gitdb-4.0.8.ebuild
+++ b/dev-python/gitdb/gitdb-4.0.8.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
>=dev-python/smmap-3.0.1[${PYTHON_USEDEP}]"
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index c3dd5541b91b..4554d82117a3 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -5,3 +5,4 @@ DIST hypothesis-python-6.24.6.tar.gz 9169209 BLAKE2B 448eedad86d41c766d2bb450f18
DIST hypothesis-python-6.25.0.tar.gz 9170363 BLAKE2B 505aebee64882de9516a653d7906b0d739d2077fd3d2d5bffa2532111d37ca4cdd62ce768dfedf9b9987d1750af7851a015d7feafbed77ab131d15e62f8ec6f1 SHA512 a22ee5632d77dd7c3570b4c5b9faa04c2ee6e7f101d87a3046ee5206b8a444367311573d39c02b12a6ec5b626ab8b89b523bed7e387da59ee3d673601e3f8015
DIST hypothesis-python-6.27.0.tar.gz 9172229 BLAKE2B e5d69923579877a4abaa740663a36510452e10cb782c1c239db03ae22bad9898ba881d808d33ecedaf9319130e619ccadfe87ad9719b1fb05bbcbcd9683d8bba SHA512 54083e0fff2e1af8d3cd91b0e059565091e63058029a501a098228a5b1a411fe652ac542e847c0b03407f9b3f27ca5358b43b15740d6e9e0c882c94ef9e48bad
DIST hypothesis-python-6.27.1.tar.gz 9173425 BLAKE2B 0fa35a863cbddb9bdd592622247abe7a9bdfc6e4624d1a0913b58a47c29d4c507a1aee8f29f9b6080628894a41140801f567bd5b5f1e83b5505b33089992e10b SHA512 3e2f1d4d268f998ccb6bf3784844d82ff3f276074b13c82fabf87a98441764dcbab576348e77ef4c71cd5f6839f92f978e52571f7e290efc680df984eb2ddebe
+DIST hypothesis-python-6.27.2.tar.gz 9173689 BLAKE2B 1f3aced11713f272158f8990090ee27cd44f585849ddfb416d636b6390335c717c98a7b1f5060f38118498d08faed00f25e7e51f42eea2efc902720db2b2513e SHA512 eed1f15b8cc739e2c02e234090f937cc8a4ffddf4d44ec4ce1bdf3759cdc12d47c358e29b401f262cd2ffc25485a1db7ff4265870f588282939546300a272426
diff --git a/dev-python/hypothesis/hypothesis-6.27.2.ebuild b/dev-python/hypothesis/hypothesis-6.27.2.ebuild
new file mode 100644
index 000000000000..8b48444a4699
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.27.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{7..9})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -p no:pytest-describe \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/matrix-client/matrix-client-0.4.0.ebuild b/dev-python/matrix-client/matrix-client-0.4.0-r1.ebuild
index ff2e4781e048..ef861403aa12 100644
--- a/dev-python/matrix-client/matrix-client-0.4.0.ebuild
+++ b/dev-python/matrix-client/matrix-client-0.4.0-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 2021 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
@@ -28,14 +28,14 @@ DEPEND="${REDEPEND}
S="${WORKDIR}/${MY_PN}-${PV}"
-python_test() {
- nosetests --verbose || die
- py.test -v -v || die
-}
-
-src_install() {
+src_prepare() {
cd ${S}
# removing test directory, as it is not allowed to be installed
rm -rf test
default
}
+
+python_test() {
+ nosetests --verbose || die
+ py.test -v -v || die
+}
diff --git a/dev-python/nbconvert/nbconvert-6.2.0-r1.ebuild b/dev-python/nbconvert/nbconvert-6.2.0-r1.ebuild
index a6b3f1dd404f..c67053cbfab4 100644
--- a/dev-python/nbconvert/nbconvert-6.2.0-r1.ebuild
+++ b/dev-python/nbconvert/nbconvert-6.2.0-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ppc ~ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
dev-python/bleach[${PYTHON_USEDEP}]
diff --git a/dev-python/nltk/files/nltk-3.6.5-test.patch b/dev-python/nltk/files/nltk-3.6.5-test.patch
new file mode 100644
index 000000000000..ea4d9512fa74
--- /dev/null
+++ b/dev-python/nltk/files/nltk-3.6.5-test.patch
@@ -0,0 +1,28 @@
+From 9502cb3b5e43a787a16bc2f63ec34c69f9b151c6 Mon Sep 17 00:00:00 2001
+From: Tom Aarsen <Cubiegamedev@gmail.com>
+Date: Tue, 19 Oct 2021 16:49:36 +0200
+Subject: [PATCH] Skip doctest for printing out stopword languages
+
+People with outdated nltk_data will fail these tests, and this test is very vulnerable to updates in nltk_data
+---
+ nltk/test/corpus.doctest | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/nltk/test/corpus.doctest b/nltk/test/corpus.doctest
+index 536ef452f..47a6fea2f 100644
+--- a/nltk/test/corpus.doctest
++++ b/nltk/test/corpus.doctest
+@@ -385,8 +385,8 @@ examples illustrate the use of the wordlist corpora:
+ >>> words.words('en')
+ ['A', 'a', 'aa', 'aal', 'aalii', 'aam', 'Aani', 'aardvark', 'aardwolf', ...]
+
+- >>> stopwords.fileids()
+- ['arabic', 'azerbaijani', 'danish', 'dutch', 'english', 'finnish', 'french', ...]
++ >>> stopwords.fileids() # doctest: +SKIP
++ ['arabic', 'azerbaijani', 'bengali', 'danish', 'dutch', 'english', 'finnish', 'french', ...]
+ >>> sorted(stopwords.words('portuguese'))
+ ['a', 'ao', 'aos', 'aquela', 'aquelas', 'aquele', 'aqueles', ...]
+ >>> names.fileids()
+--
+2.34.1
+
diff --git a/dev-python/nltk/nltk-3.6.5.ebuild b/dev-python/nltk/nltk-3.6.5.ebuild
index 9e7544cd8650..0a93752f6aed 100644
--- a/dev-python/nltk/nltk-3.6.5.ebuild
+++ b/dev-python/nltk/nltk-3.6.5.ebuild
@@ -39,14 +39,15 @@ PDEPEND="dev-python/nltk-data"
distutils_enable_tests pytest
src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}"/${P}-test.patch
+ )
+
# requires unpackaged pycrfsuite
sed -i -e '/>>>/s@$@ # doctest: +SKIP@' nltk/tag/crf.py || die
# replace fetching from network with duplicate file URL
sed -e 's@https://raw.githubusercontent.com/nltk/nltk/develop/nltk/test/toy.cfg@nltk:grammars/sample_grammars/toy.cfg@' \
-i nltk/test/data.doctest || die
- # requires X and hangs in Xvfb
- sed -e 's:test_plot:_&:' \
- -i nltk/test/unit/test_cfd_mutation.py || die
distutils-r1_src_prepare
}
diff --git a/dev-python/pylama/Manifest b/dev-python/pylama/Manifest
index 576f634fc64e..cd4f2f652077 100644
--- a/dev-python/pylama/Manifest
+++ b/dev-python/pylama/Manifest
@@ -1,2 +1,3 @@
DIST pylama-7.7.1.tar.gz 34740 BLAKE2B a4bd5aed40c2c4e7bdb9f9968030f0954f0309cff80567b2252ee9576fdb4598714286bda63c22676789d4919662430ef2729089faa70b5cb590784eb47ef1f0 SHA512 298fabffcdf38e3e868e3965de87a0e761bc9dfcfe33320b53057c4e05598bcc22045481ec16ccb8df27f49ea41d6fef82b69fe7327905f93ce74d9350682cf0
DIST pylama-8.0.4.tar.gz 34064 BLAKE2B e6ec937b7716d8a64c19e71b370e557a30d04d908ed2d1859df380c381a7eea93956ec4b58ca779e6029119a017ffce268a5528424783b33e815827dacb79b5d SHA512 c2ad152cadfaed14a6035eb49361439b8f80c7c633b5e1b185dd5dad140a4148f6d4445928e08cb8e92b205739ef75df6d49c66e4ad3cd002512cc2a8aba859b
+DIST pylama-8.0.6.tar.gz 34223 BLAKE2B 690a0a1197f6512e9511083aa079843f2ca99c9bdb5d74756531db79f7d39e8e0f60a0955b24bc7739edce0376eb79821a796978fb2365789a97628f03f240f8 SHA512 5bc75e5b2a0b141dbe2ca993d13833914980c735b84f3df766bf750909af1eeaba0d554845d8c09f0d8186ff48c8330d9ffa5b565a577ef6506f32672a2c9209
diff --git a/dev-python/pylama/pylama-8.0.6.ebuild b/dev-python/pylama/pylama-8.0.6.ebuild
new file mode 100644
index 000000000000..ce2fa8f0c208
--- /dev/null
+++ b/dev-python/pylama/pylama-8.0.6.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Code audit tool for python"
+HOMEPAGE="https://github.com/klen/pylama"
+SRC_URI="https://github.com/klen/pylama/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/mccabe-0.6.1[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pydocstyle-6.1.1[${PYTHON_USEDEP}]
+ >=dev-python/pyflakes-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/eradicate[${PYTHON_USEDEP}]
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/pylint[${PYTHON_USEDEP}]
+ dev-python/radon[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # not packaged
+ tests/test_linters.py::test_quotes
+ tests/test_linters.py::test_vulture
+)
diff --git a/dev-python/pylint/pylint-2.12.1.ebuild b/dev-python/pylint/pylint-2.12.1.ebuild
index 0728d26fb585..98a5518c7f73 100644
--- a/dev-python/pylint/pylint-2.12.1.ebuild
+++ b/dev-python/pylint/pylint-2.12.1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="examples"
# Make sure to check https://github.com/PyCQA/pylint/blob/main/setup.cfg#L43 on bumps
diff --git a/dev-python/python-ldap/Manifest b/dev-python/python-ldap/Manifest
index 457a6d3b9284..d62459d0142f 100644
--- a/dev-python/python-ldap/Manifest
+++ b/dev-python/python-ldap/Manifest
@@ -1 +1,2 @@
DIST python-ldap-3.3.1.tar.gz 379810 BLAKE2B bb5d4902211b70cc57d2967134d3c41768bfedbec40be0d5bb592b96523f408952ca7e9a18546cc24f8267e958f454d56d97952092bc46e02bc9954bced9ba00 SHA512 2a1222bf5bbc1d885611fc4f2a25d0b1b64b49ae379f1212f1b3b70fc12fdc547eb6c4af4060a20bf082547b7df8f1824bb1fdfafa37ab21acf2f1e231c4d2d1
+DIST python-ldap-3.4.0.tar.gz 376169 BLAKE2B f514ddb6267fd8c21a1c4595669921a1256a8087a3a272b3751636313e7d79de9d34f4213aa57128679dc5a93db4ef7a71f7f92894a1802deb8c2ca9dfd92fe2 SHA512 d10c10f1d416a0f67e7669c6c0b5460a3484bc31f4af471d581a9207689e5687c08d1ad78ba8d47e0ce0c35d24d79e4b848b4c503534f211a36c1b882bee3605
diff --git a/dev-python/python-ldap/python-ldap-3.4.0.ebuild b/dev-python/python-ldap/python-ldap-3.4.0.ebuild
new file mode 100644
index 000000000000..ddb8fc5a232d
--- /dev/null
+++ b/dev-python/python-ldap/python-ldap-3.4.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Various LDAP-related Python modules"
+HOMEPAGE="https://www.python-ldap.org/en/latest/
+ https://pypi.org/project/python-ldap/
+ https://github.com/python-ldap/python-ldap"
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/python-ldap/python-ldap.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-solaris"
+fi
+
+LICENSE="MIT PSF-2"
+SLOT="0"
+IUSE="examples sasl ssl"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
+ >net-nds/openldap-2.4.11:=[sasl?,ssl?]
+"
+# We do not link against cyrus-sasl but we use some
+# of its headers during the build.
+BDEPEND="
+ >net-nds/openldap-2.4.11:=[sasl?,ssl?]
+ sasl? ( >=dev-libs/cyrus-sasl-2.1 )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx Doc
+
+python_prepare_all() {
+ # The live ebuild won't compile if setuptools_scm < 1.16.2 is installed
+ # https://github.com/pypa/setuptools_scm/issues/228
+ if [[ ${PV} == *9999* ]]; then
+ rm -r .git || die
+ fi
+
+ if ! use sasl; then
+ sed -i 's/HAVE_SASL//g' setup.cfg || die
+ fi
+ if ! use ssl; then
+ sed -i 's/HAVE_TLS//g' setup.cfg || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Run all tests which don't require slapd
+ local EPYTEST_IGNORE=(
+ t_bind.py
+ t_cext.py
+ t_edit.py
+ t_ldapobject.py
+ t_ldap_options.py
+ t_ldap_sasl.py
+ t_ldap_schema_subentry.py
+ t_ldap_syncrepl.py
+ t_slapdobject.py
+ )
+ pushd Tests >/dev/null || die
+ epytest
+ popd > /dev/null || die
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r Demo/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/regex/regex-2021.11.10.ebuild b/dev-python/regex/regex-2021.11.10.ebuild
index 92ae2cbca7dc..a904fff1fbcf 100644
--- a/dev-python/regex/regex-2021.11.10.ebuild
+++ b/dev-python/regex/regex-2021.11.10.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-macos"
IUSE="doc"
PATCHES=(
diff --git a/dev-python/responses/Manifest b/dev-python/responses/Manifest
index 6b170e9f9c0d..9a3f196c124d 100644
--- a/dev-python/responses/Manifest
+++ b/dev-python/responses/Manifest
@@ -1,3 +1 @@
-DIST responses-0.14.0.tar.gz 32666 BLAKE2B 1792f1a78415e412a97323259cba62b1a41fb747f31e5c7e323c962c80e63e59210d66b098cd9244abfd8888092c2df91e6f1dd82cc78e451c5cde54129b40a0 SHA512 abc117e5fb9e065202520342e1e5dc4862e5ba553899bf0427726bff02f581124d2d2225371180c97b04fd258119b9511b3319622402a44411ebf51614d26022
-DIST responses-0.15.0.tar.gz 37965 BLAKE2B 1c1700e54a5b7e79bc64285191ed54e95ad884d003c876fc18fd3bbfc898f54bf0a5ecb11de56d2b68f1133b4336b2b25cc8da26ae101e10fc8885df0bda2e1c SHA512 50b3dd5ae210cdaa0259265b8e22b92c267d238fd4ce3bf5e3a92d009fcfc2e4c448e4dbcc29ec6beaee9aa2e01ce21365aad8abac3ac8215e6eda6bad740cd6
DIST responses-0.16.0.tar.gz 41943 BLAKE2B cca1d4d0f5bf6980776a9373ac51f5305d8db439eb1c1dca61985704da2dc8d62839e2aa1fde30f9e8aaaf785c0e7cdae56662270ced0627ff1c236c3cf252ad SHA512 b2363cd7c9aad84bfce814fe815663babfe584fa390f95a1d5e01118c8749e98777bf283a7200ea96a7ce5fa1ad6d85ee329e4bd999f3dca0317476b7e976f12
diff --git a/dev-python/responses/responses-0.14.0.ebuild b/dev-python/responses/responses-0.14.0.ebuild
deleted file mode 100644
index a88e66ca81c2..000000000000
--- a/dev-python/responses/responses-0.14.0.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="Utility for mocking out the Python Requests library"
-HOMEPAGE="https://github.com/getsentry/responses"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- >=dev-python/requests-2.0[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.25.10[${PYTHON_USEDEP}]
- dev-python/cookies[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/pytest-localserver[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/responses/responses-0.15.0.ebuild b/dev-python/responses/responses-0.15.0.ebuild
deleted file mode 100644
index a8e2e60e33d3..000000000000
--- a/dev-python/responses/responses-0.15.0.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="Utility for mocking out the Python Requests library"
-HOMEPAGE="https://github.com/getsentry/responses"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- >=dev-python/requests-2.0[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.25.10[${PYTHON_USEDEP}]
- dev-python/cookies[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/pytest-localserver[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/responses/responses-0.16.0.ebuild b/dev-python/responses/responses-0.16.0.ebuild
index a8e2e60e33d3..a88e66ca81c2 100644
--- a/dev-python/responses/responses-0.16.0.ebuild
+++ b/dev-python/responses/responses-0.16.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
>=dev-python/requests-2.0[${PYTHON_USEDEP}]
diff --git a/dev-python/scipy/scipy-1.7.3.ebuild b/dev-python/scipy/scipy-1.7.3.ebuild
index 28b1f9120cdb..b3b019013261 100644
--- a/dev-python/scipy/scipy-1.7.3.ebuild
+++ b/dev-python/scipy/scipy-1.7.3.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="BSD LGPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 -hppa ~ia64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 -hppa ~ia64 ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="doc +pythran sparse"
DEPEND="
diff --git a/dev-python/smmap/smmap-5.0.0.ebuild b/dev-python/smmap/smmap-5.0.0.ebuild
index dca8af02f462..8a6a1c658e8b 100644
--- a/dev-python/smmap/smmap-5.0.0.ebuild
+++ b/dev-python/smmap/smmap-5.0.0.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
SLOT="0"
distutils_enable_tests unittest
diff --git a/dev-python/statsmodels/statsmodels-0.13.1.ebuild b/dev-python/statsmodels/statsmodels-0.13.1.ebuild
index 15fd2e8cd259..8adb4970f59b 100644
--- a/dev-python/statsmodels/statsmodels-0.13.1.ebuild
+++ b/dev-python/statsmodels/statsmodels-0.13.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~x86 ~amd64-linux ~x86-linux"
IUSE="examples"
DEPEND="
diff --git a/dev-python/tomli/Manifest b/dev-python/tomli/Manifest
index 785588630253..f3aa056e1428 100644
--- a/dev-python/tomli/Manifest
+++ b/dev-python/tomli/Manifest
@@ -1,3 +1,2 @@
-DIST tomli-1.2.1.gh.tar.gz 122701 BLAKE2B d0280bb81a6e931a175c6ef2c58b4f36b1237f99a73331cbb95f98b9e68a98a4c6a635aa12751ac46492c2b1a06a821f1ae70cd0c36f268998488e824f3e577c SHA512 34f9529b137331b0ae03ac99170b3f6509847356594be14166bae306ea4fbbddff808ffe0c48d05434f72d223a2f35b511675217053029d287725b7142fbd089
DIST tomli-1.2.2-py3-none-any.whl.zip 12118 BLAKE2B ae1dbc14e3c7c79240a327f3fb622c16aeba561274aedc93957549d838fcb2b6ed5889f8c28344a4cc9dbb52eacd6b9dc53aeff8f08642a8abeed2dd67c989a1 SHA512 fb9452663a46760ea442f2f06ad2f60b094368680dae315c2386457041f3ac5399c196ceec0524d432442ec72158c2d95bfa5d0cc288163b4eb1d6a07a62ae36
DIST tomli-1.2.2.gh.tar.gz 123150 BLAKE2B b07527a2a83615030037867c6011440a3814cbe265e8a760cca08e324954dbf7d1a393bc900559ddfc1bcbe1911f758948051823d9ef830ee05abb2539374dff SHA512 460ad8ae9a342d82ef12911c0d0e246c1434a5d40d898e91f6c05bf37b7bf9921da05e004c36907d623a797a7a215c1c3faf3f9a2b940f3867b142847a188605
diff --git a/dev-python/tomli/tomli-1.2.1.ebuild b/dev-python/tomli/tomli-1.2.1.ebuild
deleted file mode 100644
index 29dcf597d54c..000000000000
--- a/dev-python/tomli/tomli-1.2.1.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="A lil' TOML parser"
-HOMEPAGE="
- https://pypi.org/project/tomli/
- https://github.com/hukkin/tomli/"
-SRC_URI="
- https://github.com/hukkin/tomli/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv sparc x86 ~x64-macos"
-
-BDEPEND="
- test? ( dev-python/python-dateutil[${PYTHON_USEDEP}] )"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # we don't use pyproject.toml to avoid circular deps
- cat > setup.py <<-EOF || die
- from setuptools import setup
- setup(name="tomli", version="${PV}", packages=["tomli"], package_data={"": ["*"]})
- EOF
-
- distutils-r1_src_prepare
-}
diff --git a/dev-python/tomli/tomli-1.2.2-r1.ebuild b/dev-python/tomli/tomli-1.2.2-r1.ebuild
index 8919f1106db6..a9ba4a499e29 100644
--- a/dev-python/tomli/tomli-1.2.2-r1.ebuild
+++ b/dev-python/tomli/tomli-1.2.2-r1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv sparc x86 ~x64-macos"
BDEPEND="
app-arch/unzip
diff --git a/dev-python/tomli/tomli-1.2.2.ebuild b/dev-python/tomli/tomli-1.2.2.ebuild
deleted file mode 100644
index 164b1f354244..000000000000
--- a/dev-python/tomli/tomli-1.2.2.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="A lil' TOML parser"
-HOMEPAGE="
- https://pypi.org/project/tomli/
- https://github.com/hukkin/tomli/"
-SRC_URI="
- https://github.com/hukkin/tomli/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
-
-BDEPEND="
- test? ( dev-python/python-dateutil[${PYTHON_USEDEP}] )"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # we don't use pyproject.toml to avoid circular deps
- cat > setup.py <<-EOF || die
- from setuptools import setup
- setup(name="tomli", version="${PV}", packages=["tomli"], package_data={"": ["*"]})
- EOF
-
- distutils-r1_src_prepare
-}